diff options
author | lfcorreia <lfcorreia@3ae390bd-cb1e-0410-b409-cd5a39f66f1f> | 2005-05-31 20:42:55 +0000 |
---|---|---|
committer | lfcorreia <lfcorreia@3ae390bd-cb1e-0410-b409-cd5a39f66f1f> | 2005-05-31 20:42:55 +0000 |
commit | 3a395fe2c2b26247213a0baf3766ac2817398d0c (patch) | |
tree | ebf9b589473f4adb3ca9eaeabf6cbc13dcec1229 /configure | |
parent | 95a2d9bcb9481d4663b55fce529722a3b9fbdbed (diff) | |
download | lcd4linux-3a395fe2c2b26247213a0baf3766ac2817398d0c.tar.gz |
[lcd4linux @ 2005-05-31 20:42:54 by lfcorreia]
new file: lcd4linux_i2c.h
avoid the problems detecting the proper I2C kernel include files
rearrange all the other autoconf stuff to remove I2C detection
new method by Paul Kamphuis to write to the I2C device
git-svn-id: https://ssl.bulix.org/svn/lcd4linux/trunk@556 3ae390bd-cb1e-0410-b409-cd5a39f66f1f
Diffstat (limited to '')
-rwxr-xr-x | configure | 79 | ||||
-rw-r--r-- | configure.in | 14 |
2 files changed, 2 insertions, 91 deletions
@@ -5452,76 +5452,7 @@ done # check for i2c - - - -for ac_header in linux/compiler.h linux/i2c.h linux/i2c-dev.h -do -as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` -echo "$as_me:$LINENO: checking for $ac_header" >&5 -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 -if eval "test \"\${$as_ac_Header+set}\" = set"; then - echo $ECHO_N "(cached) $ECHO_C" >&6 -else - cat >conftest.$ac_ext <<_ACEOF -/* confdefs.h. */ -_ACEOF -cat confdefs.h >>conftest.$ac_ext -cat >>conftest.$ac_ext <<_ACEOF -/* end confdefs.h. */ - -#if HAVE_LINUX_COMPILER_H -#include <linux/compiler.h> -# endif -#if HAVE_LINUX_I2C_H -#include <linux/i2c.h> -# endif - - -#include <$ac_header> -_ACEOF -rm -f conftest.$ac_objext -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 - (eval $ac_compile) 2>conftest.er1 - ac_status=$? - grep -v '^ *+' conftest.er1 >conftest.err - rm -f conftest.er1 - cat conftest.err >&5 - echo "$as_me:$LINENO: \$? = $ac_status" >&5 - (exit $ac_status); } && - { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 - (eval $ac_try) 2>&5 - ac_status=$? - echo "$as_me:$LINENO: \$? = $ac_status" >&5 - (exit $ac_status); }; } && - { ac_try='test -s conftest.$ac_objext' - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 - (eval $ac_try) 2>&5 - ac_status=$? - echo "$as_me:$LINENO: \$? = $ac_status" >&5 - (exit $ac_status); }; }; then - eval "$as_ac_Header=yes" -else - echo "$as_me: failed program was:" >&5 -sed 's/^/| /' conftest.$ac_ext >&5 - -eval "$as_ac_Header=no" -fi -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext -fi -echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 -echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 -if test `eval echo '${'$as_ac_Header'}'` = yes; then - cat >>confdefs.h <<_ACEOF -#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 -_ACEOF - has_i2c="true" -else - has_i2c="false";break -fi - -done +has_i2c="true" # check for serdisplib @@ -6062,7 +5993,7 @@ TEXT="no" GRAPHIC="no" IMAGE="no" -# generiv I/O drivers +# generic I/O drivers PARPORT="no" SERIAL="no" I2C="no" @@ -6374,18 +6305,12 @@ fi # generic i2c driver if test "$I2C" = "yes"; then - if test "$has_i2c" = true; then DRIVERS="$DRIVERS drv_generic_i2c.o" cat >>confdefs.h <<\_ACEOF #define WITH_I2C 1 _ACEOF - else - I2C="no" - { echo "$as_me:$LINENO: WARNING: I2C include files not found: I2C bus driver disabled" >&5 -echo "$as_me: WARNING: I2C include files not found: I2C bus driver disabled" >&2;} - fi fi diff --git a/configure.in b/configure.in index a2d9822..8c42187 100644 --- a/configure.in +++ b/configure.in @@ -54,23 +54,9 @@ AC_CHECK_HEADERS(gd/gd.h gd.h, [has_gd="true";break], [has_gd="false"]) # check for usb.h AC_CHECK_HEADERS(usb.h, [has_usb="true"], [has_usb="false"]) -# check for i2c -AC_CHECK_HEADERS(linux/compiler.h linux/i2c.h linux/i2c-dev.h,[has_i2c="true"],[has_i2c="false";break],[ -#if HAVE_LINUX_COMPILER_H -#include <linux/compiler.h> -# endif -#if HAVE_LINUX_I2C_H -#include <linux/i2c.h> -# endif -]) - # check for serdisplib AC_CHECK_HEADERS(serdisplib/serdisp.h, [has_serdisplib="true"], [has_serdisplib="false"]) -# check for python -sinclude(python.m4) -AC_PYTHON_DEVEL - # drivers sinclude(drivers.m4) |